<?php

/*
  Plugin Name: DeMomentSomTres Resource Library
  Plugin URI: http://demomentsomtres.com/english/wordpress-plugins/demomentsomtres-resource-library/
  Description: demomentsomtres biblioteca de recursos allows people to have a resource library for their website
  Version: 1.6.1
  Author: marcqueralt
  Author URI: http://demomentsomtres.com
  License: GPLv2 or later
 */
define('DMS3Resources', 'DMS3-Resource-Library');
load_plugin_textdomain(DMS3Resources, false, basename(dirname(__FILE__)) . '/languages');

add_action('init', 'dmst_resources_post_types');

function dmst_resources_post_types() {
    register_post_type(
            'resources', array(
        'label' => __('Resources', DMS3Resources),
        'description' => '',
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'capability_type' => 'post',
        'hierarchical' => false,
        'rewrite' => array('slug' => 'resources'),
        'query_var' => true,
        'supports' => array(
            'title',
            'editor',
            'excerpt',
            'trackbacks',
            'custom-fields',
            'comments',
            'revisions',
            'thumbnail',
            'author',
            'page-attributes',
        ),
        'has_archive' => true,
        'labels' => array(
            'name' => __('Resources', DMS3Resources),
            'singular_name' => __('Resource', DMS3Resources),
            'menu_name' => __('Resource Library', DMS3Resources),
            'add_new' => __('Add New', DMS3Resources),
            'add_new_item' => __('Add new resource', DMS3Resources),
            'edit' => __('Edit', DMS3Resources),
            'edit_item' => __('Edit resource', DMS3Resources),
            'new_item' => __('New resource', DMS3Resources),
            'view' => __('View', DMS3Resources),
            'view_item' => __('View resource', DMS3Resources),
            'search_items' => __('Resource search', DMS3Resources),
            'not_found' => __('No resource found', DMS3Resources),
            'not_found_in_trash' => __('No resource found in trash', DMS3Resources),
            'parent' => __('Parent Resource', DMS3Resources),
        ),
                'taxonomies'=>array('post_tags','category')));
    register_taxonomy('resource-type', array(
        0 => 'resources',
            ), array(
        'hierarchical' => false,
        'label' => __('Resource Types', DMS3Resources),
        'show_ui' => true, 'query_var' => true,
        'rewrite' => array('slug' => 'tipus-recurs'),
        'singular_label' => __('Resource Type', DMS3Resources)
    ));
}

?>